{
  "name": "riwa-ionic",
  "type": "module",
  "version": "0.0.1",
  "private": true,
  "description": "An Ionic project",
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "preview": "vite preview",
    "run:ios": "ionic capacitor run ios -l --external",
    "run:android": "ionic capacitor run android -l --external",
    "proxy": "ionic config set -g proxy http://192.168.1.3:9527",
    "test:e2e": "cypress run",
    "test:unit": "vitest",
    "lint": "eslint",
    "lint:fix": "eslint --fix"
  },
  "dependencies": {
    "@capacitor-community/barcode-scanner": "^4.0.1",
    "@capacitor-mlkit/barcode-scanning": "^8.0.0",
    "@capacitor/app": "8.0.0",
    "@capacitor/barcode-scanner": "^3.0.0",
    "@capacitor/camera": "^8.0.0",
    "@capacitor/clipboard": "^8.0.0",
    "@capacitor/core": "8.0.0",
    "@capacitor/file-transfer": "^2.0.0",
    "@capacitor/filesystem": "^8.0.0",
    "@capacitor/haptics": "8.0.0",
    "@capacitor/ios": "^8.0.0",
    "@capacitor/keyboard": "8.0.0",
    "@capacitor/status-bar": "8.0.0",
    "@elysiajs/eden": "^1.4.5",
    "@ionic/vue": "^8.7.11",
    "@ionic/vue-router": "^8.7.11",
    "@riwa/api-types": "http://192.168.1.6:9527/api/riwa-eden-0.0.78.tgz",
    "@tailwindcss/vite": "^4.1.18",
    "@vee-validate/yup": "^4.15.1",
    "@vueuse/core": "^14.1.0",
    "@vueuse/integrations": "^14.1.0",
    "@vueuse/router": "^14.1.0",
    "better-auth": "^1.4.6",
    "ethers": "^6.16.0",
    "ionicons": "^8.0.13",
    "lightweight-charts": "^5.1.0",
    "lodash-es": "^4.17.21",
    "pinia": "^3.0.4",
    "qrcode": "^1.5.4",
    "tailwindcss": "^4.1.18",
    "vee-validate": "^4.15.1",
    "vue": "^3.5.25",
    "vue-i18n": "^11.2.2",
    "vue-router": "^4.6.3",
    "yup": "^1.7.1"
  },
  "devDependencies": {
    "@antfu/eslint-config": "^6.6.1",
    "@capacitor/cli": "8.0.0",
    "@iconify-json/bx": "^1.2.2",
    "@iconify-json/circle-flags": "^1.2.10",
    "@iconify-json/cryptocurrency-color": "^1.2.4",
    "@iconify-json/ic": "^1.2.4",
    "@iconify-json/icon-park-outline": "^1.2.4",
    "@iconify-json/material-icon-theme": "^1.2.44",
    "@iconify-json/material-symbols": "^1.2.50",
    "@iconify-json/prime": "^1.2.4",
    "@iconify-json/solar": "^1.2.5",
    "@iconify-json/tdesign": "^1.2.11",
    "@iconify/vue": "^5.0.0",
    "@ionic/cli": "^7.2.1",
    "@types/lodash-es": "^4.17.12",
    "@types/node": "^24.10.2",
    "@types/qrcode": "^1.5.6",
    "@vitejs/plugin-legacy": "^7.2.1",
    "@vitejs/plugin-vue": "^6.0.2",
    "@vitejs/plugin-vue-jsx": "^5.1.2",
    "@vue/eslint-config-typescript": "^14.6.0",
    "@vue/test-utils": "^2.4.6",
    "cypress": "^15.7.1",
    "dotenv": "^17.2.3",
    "eslint": "^9.39.1",
    "eslint-plugin-format": "^1.1.0",
    "eslint-plugin-vue": "^10.6.2",
    "jiti": "^2.6.1",
    "jsdom": "^27.3.0",
    "lint-staged": "^16.2.7",
    "simple-git-hooks": "^2.13.1",
    "terser": "^5.44.1",
    "typescript": "~5.9.3",
    "unplugin-auto-import": "^20.3.0",
    "unplugin-icons": "^22.5.0",
    "unplugin-vue-components": "^30.0.0",
    "vite": "^7.2.7",
    "vite-plugin-pwa": "^1.2.0",
    "vitest": "^4.0.15",
    "vue-tsc": "^3.1.8"
  },
  "simple-git-hooks": {
    "pre-commit": "pnpm lint-staged"
  },
  "lint-staged": {
    "*": "eslint --fix"
  }
}
